# (tmb) temp disable doc
%define build_doc 0

# (wally) exclude plugin .so from provides
%define _exclude_files_from_autoprov %{_libdir}/libnl/.*\\.so

%define api	3
%define major	200
%define libname	%mklibname nl %{api} %{major}
%define devname	%mklibname nl %{api} -d

%define libcli		%mklibname nl-cli %{api} %{major}
%define libroute	%mklibname nl-route %{api} %{major}
%define libgenl		%mklibname nl-genl %{api} %{major}
%define libnf		%mklibname nl-nf %{api} %{major}

Summary:	A collection of libraries providing APIs to netlink protocol based kernel interfaces
Group:		System/Libraries
License:	LGPLv2
Name:		libnl3
Version:	3.2.22
Release:	%mkrel 2
URL:		http://www.infradead.org/~tgr/libnl/
Source:		http://www.infradead.org/~tgr/libnl/files/libnl-%{version}.tar.gz
BuildRequires:	flex
BuildRequires:	bison

%description
A collection of libraries providing APIs to netlink protocol based kernel
interfaces.

Netlink is a IPC mechanism primarly between the kernel and user space
processes. It was designed to be a more flexible successor to ioctl to
provide mainly networking related kernel configuration and monitoring
interfaces.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries
Requires:	%{name}-config >= %{version}-%{release}
Obsoletes:	%{name} < 3.2.21

%description -n %{libname}
Core library implementing the fundamentals required to use the netlink
protocol such as socket handling, message construction and parsing,
and sending and receiving of data. This library is kept small and
minimalistic.

%package -n %{libcli}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{name} < 3.2.21

%description -n %{libcli}
Command Line Interface library for netlink sockets.

%package -n %{libroute}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{name} < 3.2.21

%description -n %{libroute}
API to the configuration interfaces of the NETLINK_ROUTE family including
network interfaces, routes, addresses, neighbours, and traffic control.

%package -n %{libgenl}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{name}	< 3.2.21

%description -n %{libgenl}
API to the generic netlink protocol, an extended version of the netlink
protocol.

%package -n %{libnf}
Summary:	Shared library for %{name}
Conflicts:	%{name} < 3.2.21

%description -n %{libnf}
API to netlink based netfilter configuration and monitoring interfaces
(conntrack, log, queue).

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libroute} = %{version}-%{release}
Requires:	%{libgenl} = %{version}-%{release}
Requires:	%{libnf} = %{version}-%{release}
Requires:	%{libcli} = %{version}-%{release}
Requires:	kernel-headers
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < 3.2.21

%description -n %{devname}
This package contains the development files and headers for %{name}.

%package config
Summary:	Name maps for %{name}
Group:		System/Libraries
BuildArch:	noarch
Conflicts:	%{name} < 3.2.21

%description config
This package contains configuration files for %{name}.

%package tools
Summary:	Command line utilities to directly work with Netlink
Group:		System/Libraries
Obsoletes:	%{name}-cli < 3.2.21

%description tools
Various test program with which the functionality of %{name} is
demonstrated.

%if %build_doc
%package	doc
Summary:	API documentation for libnl3
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description doc
This package contains libnl3 API documentation.
%endif

%prep
%setup -q -n libnl-%{version}
%apply_patches

%build
%configure2_5x --disable-static
%make

%if %build_doc
pushd doc
    # docs aren't parallel-make safe
    make gendoc
popd
%endif

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/libnl-%{api}.so.%{major}*

%files -n %{libgenl}
%{_libdir}/libnl-genl-%{api}.so.%{major}*

%files -n %{libnf}
%{_libdir}/libnl-nf-%{api}.so.%{major}*

%files -n %{libroute}
%{_libdir}/libnl-route-%{api}.so.%{major}*

%files -n %{libcli}
%{_libdir}/libnl-cli-%{api}.so.%{major}*
%dir %{_libdir}/libnl/
%dir %{_libdir}/libnl/cli/
%dir %{_libdir}/libnl/cli/cls
%dir %{_libdir}/libnl/cli/qdisc/
%{_libdir}/libnl/cli/cls/basic.so
%{_libdir}/libnl/cli/cls/cgroup.so
%{_libdir}/libnl/cli/qdisc/bfifo.so
%{_libdir}/libnl/cli/qdisc/blackhole.so
%{_libdir}/libnl/cli/qdisc/htb.so
%{_libdir}/libnl/cli/qdisc/pfifo.so
%{_libdir}/libnl/cli/qdisc/plug.so

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/libnl-%{api}.so
%{_libdir}/libnl-cli-%{api}.so
%{_libdir}/libnl-genl-%{api}.so
%{_libdir}/libnl-nf-%{api}.so
%{_libdir}/libnl-route-%{api}.so
%{_libdir}/pkgconfig/libnl-3.0.pc
%{_libdir}/pkgconfig/libnl-cli-3.0.pc
%{_libdir}/pkgconfig/libnl-genl-3.0.pc
%{_libdir}/pkgconfig/libnl-nf-3.0.pc
%{_libdir}/pkgconfig/libnl-route-3.0.pc

%files config
%dir %{_sysconfdir}/libnl/
%config %{_sysconfdir}/libnl/classid
%config %{_sysconfdir}/libnl/pktloc

%files tools
%{_sbindir}/genl-ctrl-list
%{_sbindir}/nl-class-add
%{_sbindir}/nl-class-delete
%{_sbindir}/nl-class-list
%{_sbindir}/nl-classid-lookup
%{_sbindir}/nl-cls-add
%{_sbindir}/nl-cls-delete
%{_sbindir}/nl-cls-list
%{_sbindir}/nl-link-list
%{_sbindir}/nl-pktloc-lookup
%{_sbindir}/nl-qdisc-add
%{_sbindir}/nl-qdisc-delete
%{_sbindir}/nl-qdisc-list
%{_mandir}/man8/genl-ctrl-list.8.*
%{_mandir}/man8/nl-classid-lookup.8.*
%{_mandir}/man8/nl-pktloc-lookup.8.*
%{_mandir}/man8/nl-qdisc-add.8.*
%{_mandir}/man8/nl-qdisc-delete.8.*
%{_mandir}/man8/nl-qdisc-list.8.*

%if %build_doc
%files doc
%doc doc/*.html
%doc doc/*.css
%doc doc/stylesheets/*
%doc doc/images/*
%doc doc/images/icons/*
%doc doc/images/icons/callouts/*
%doc doc/api/*
%endif


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 3.2.22-2.mga4
+ Revision: 530512
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 wally <wally> 3.2.22-1.mga4
+ Revision: 457849
- new version 3.2.22
- clean BRs

* Sun Jun 16 2013 wally <wally> 3.2.21-1.mga4
+ Revision: 443647
- new version 3.2.21
- fix libification
- drop upstream applied patch
- exclude plugin .so's from provides

* Sun May 12 2013 blino <blino> 3.2.17-3.mga3
+ Revision: 413022
- fix crash when user callback is not set (like with NetworkManager, #9734)

* Sat Jan 12 2013 umeabot <umeabot> 3.2.17-2.mga3
+ Revision: 357875
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 tmb <tmb> 3.2.17-1.mga3
+ Revision: 339600
- update to 3.2.17

* Sat Nov 24 2012 luigiwalser <luigiwalser> 3.2.14-1.mga3
+ Revision: 321668
- 3.2.14

  + fwang <fwang>
    - set doc as noarch

* Thu Oct 18 2012 fwang <fwang> 3.2.13-1.mga3
+ Revision: 307853
- new version 3.2.13

* Mon Aug 27 2012 tmb <tmb> 3.2.11-1.mga3
+ Revision: 284508
- update to 3.2.11

* Wed Mar 07 2012 tmb <tmb> 3.2.7-1.mga2
+ Revision: 220929
- fix groups
- disable docs for now (broken build)
- fix Group and BR
- spec cleanup
- import from fedora


* Fri Feb 10 2012 Dan Williams <dcbw@redhat.com> - 3.2.7-1
- Update to 3.2.7

* Tue Jan 17 2012 Jiri Pirko <jpirko@redhat.com> - 3.2.6-1
- Initial build
